%define module_name Opsview-RestAPI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dump.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(JSON.pm) perl(POSIX.pm) perl(Pod/Coverage/TrustPod.pm) perl(REST/Client.pm) perl(Storable.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Trap.pm) perl(URI/Encode/XS.pm) perl(lib.pm) perl(overload.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.190220
Release: alt1
Summary: Interact with the Opsview Rest API interface
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DU/DUNCS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Allow for easier access to the Opsview Monitor Rest API, version 4.x and newer.
See https://knowledge.opsview.com/reference for more details.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE example
%perl_vendor_privlib/O*

%changelog
* Tue Jan 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.190220-alt1
- regenerated from template by package builder

* Wed Apr 11 2018 Igor Vlasenko <viy@altlinux.ru> 1.181000-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.180580-alt1
- initial import by package builder

